<div class="container">
    <h3>Đăng ký tài khoản</h3>
    <form #formDangKy="ngForm" (ngSubmit)="DangKy(formDangKy.value)">
        <div class="Form-group">
            <span>Tài khoản</span>
            <input #TaiKhoan="ngModel" name="TaiKhoan" class="form-control" required ngModel />
            <!-- Input được chọn vào hoặc thay đổi và bị lỡi sẽ render div phía dưới -->
            <div class="alert alert-danger" *ngIf="(TaiKhoan.touched || TaiKhoan.dirty) && TaiKhoan.errors">
                <!-- Lỗi có rất nhiều lỗi -->
                <!-- Bắt lỗi rỗng -->
                <span class="text text-danger" *ngIf="TaiKhoan.errors.required">
                    Tài khoản không được để rỗng
                </span>
            </div>
        </div>
        <div class="Form-group">
            <span>Mật khẩu</span>
            <input minlength="6" maxlength="12" #MatKhau="ngModel" type="password" name="MatKhau" class="form-control"
                required ngModel />
            <!-- Input được chọn vào hoặc thay đổi và bị lỡi sẽ render div phía dưới -->
            <div class="alert alert-danger" *ngIf="(MatKhau.touched || MatKhau.dirty) && MatKhau.errors">
                <!-- Lỗi có rất nhiều lỗi -->
                <!-- Bắt lỗi rỗng -->
                <span class="text text-danger" *ngIf="MatKhau.errors.required">
                    Mật khẩu không được để rỗng
                </span>
                <span class="text text-danger" *ngIf="MatKhau.errors.minlength || MatKhau.errors.maxlength">
                    Mật khẩu từ 6-12 ký tự
                </span>
            </div>
        </div>
        <div class="Form-group">
            <span>Email</span>
            <input #Email="ngModel" name="Email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" class="form-control" required ngModel />
            <div class="alert alert-danger" *ngIf="(Email.touched || Email.dirty) && Email.errors">
                <span class="text text-danger" *ngIf="Email.errors.required">
                    Tài khoản không được để rỗng
                </span>
                <span class="text text-danger" *ngIf="Email.errors.pattern">
                    Email không hợp lệ !
                </span>
            </div>
        </div>
        <div class="Form-group">
            <span>Họ tên</span>
            <input name="HoTen" class="form-control" ngModel />
        </div>
        <div class="Form-group">
            <span>Số điện thoại</span>
            <input name="SoDienThoai" class="form-control" ngModel />
        </div>
        <button [disabled]="formDangKy.invalid || formDangKy.submitted" type="submit" class="btn btn-success">
            Đăng ký
        </button>
    </form>
    <table class="table">
        <thead>
            <tr>
                <th>Tài khoản</th>
                <th>Họ tên</th>
                <th>Email</th>
                <th>Số điện thoại</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let nguoiDung of danhSachNguoiDung">
                <td>{{nguoiDung.TaiKhoan}}</td>
                <td>{{nguoiDung.MatKhau}}</td>
                <td>{{nguoiDung.Email}}</td>
                <td>{{nguoiDung.SoDienThoai}}</td>
            </tr>
        </tbody>
    </table>
</div>